DevExtreme Vue - Skip Weekends and Holidays

If your dataset excludes non-working days, you can skip them on the axis as well by setting the workdaysOnly option to true. Use the workWeek array to specify which days are workdays. You can also include or exclude specific dates from the axis using the singleWorkdays and holidays arrays respectively.

App.vue
  • <template>
  • <DxChart ... >
  • <DxArgumentAxis
  • :workdays-only="true"
  • :work-week="[0, 1, 2, 3, 4, 5]"
  • :holidays="['2017/1/16', '2017/2/20', '2017/5/29']"
  • :single-workdays="['2017/1/1']"
  • />
  • </DxChart>
  • </template>
  •  
  • <script>
  • import DxChart, {
  • DxArgumentAxis
  • } from 'devextreme-vue/chart';
  •  
  • export default {
  • components: {
  • DxChart,
  • DxArgumentAxis
  • }
  • }
  • </script>
NOTE
This feature is available for the argument axis only.

DevExtreme Angular - Skip Weekends and Holidays

If your dataset excludes non-working days, you can skip them on the axis as well by setting the workdaysOnly option to true. Use the workWeek array to specify which days are workdays. You can also include or exclude specific dates from the axis using the singleWorkdays and holidays arrays respectively.

HTML
TypeScript
  • <dx-chart ... >
  • <dxo-argument-axis
  • [workdaysOnly]="true"
  • [workWeek]="[0, 1, 2, 3, 4, 5]"
  • [holidays]="['2017/1/16', '2017/2/20', '2017/5/29']"
  • [singleWorkdays]="['2017/1/1']">
  • </dxo-argument-axis>
  • </dx-chart>
  • import { DxChartModule } from "devextreme-angular";
  • // ...
  • export class AppComponent {
  • // ...
  • }
  • @NgModule({
  • imports: [
  • // ...
  • DxChartModule
  • ],
  • // ...
  • })
NOTE
This feature is available for the argument axis only.

DevExtreme React - Skip Weekends and Holidays

If your dataset excludes non-working days, you can skip them on the axis as well by setting the workdaysOnly option to true. Use the workWeek array to specify which days are workdays. You can also include or exclude specific dates from the axis using the singleWorkdays and holidays arrays respectively.

App.js
  • import React from 'react';
  • import Chart, {
  • ArgumentAxis
  • } from 'devextreme-react/chart';
  •  
  • const workWeek = [0, 1, 2, 3, 4, 5];
  • const holidays = ['2017/1/16', '2017/2/20', '2017/5/29'];
  • const singleWorkdays = ['2017/1/1'];
  •  
  • class App extends React.Component {
  • render() {
  • return (
  • <Chart ... >
  • <ArgumentAxis
  • workdaysOnly={true}
  • workWeek={workWeek}
  • holidays={holidays}
  • singleWorkdays={singleWorkdays}
  • />
  • </Chart>
  • );
  • }
  • }
  •  
  • export default App;
NOTE
This feature is available for the argument axis only.